Subject: Re: Build problems - unistd.h
From: "Scott Peterson" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 1 Jun 2007 17:34:23 -0400
List-Id: <cygwin.cygwin.com>

On that advice, I now get a new error:

/home/Scott/downloads/dbus-glib-0.73/dbus/dbus-binding-tool-glib.c:800: undefine
d reference to `_g_file_open_tmp_utf8'

This is nearly identical to the error I got when commenting out line
108 of unistd.h:

/home/Scott/downloads/dbus-glib-0.73/dbus/dbus-binding-tool-glib.c:799: undefine
d reference to `_g_file_open_tmp_utf8'

Note that the errors differ only in their line numbers. Whatever does it mean?

On 5/31/07, Igor Peshansky <[email-masked]> wrote:
> On Thu, 31 May 2007, Scott Peterson wrote:
>
> > Sorry about the large email: didn't realize how big it was when I cut
> > and pasted.
> > Line 108 is indeed:
> >
> > int     _EXFUN(pipe, (int __fildes[2] ));
> >
> > I've greped around for "define pipe" and the only results I could find
> > are /usr/include/glib-1.2/glib.h and
> > /usr/include/glib-2.0/glib/gwin32.h. Both files define precisely the
> > method you mention:
> >
> > #define pipe(phandles)        _pipe (phandles, 4096, _O_BINARY)
> >
> > Here's the kicker: I commented out both instances of that #define and
> > the build still fails with the same error. Is there anyway I can find
> > out precisely where the preprocessor is getting that method? C really
> > isn't my thing so when I have problems like this with prerequisite
> > packages, I'm really at a loss. Thanks everyone for lending me a hand
> > with this!
>
> You could try simply inserting '#undef pipe' before '#include <unistd.h>'.
>         Igor
> --
>                                 http://cs.nyu.edu/~pechtcha/
>       |\      _,,,---,,_            [email-masked] | [email-masked]
> ZZZzz /,`.-'`'    -.  ;-;;,_            Igor Peshansky, Ph.D. (name changed!)
>      |,4-  ) )-,_. ,\ (  `'-'           old name: Igor Pechtchanski
>     '---''(_/--'  `-'\_) fL     a.k.a JaguaR-R-R-r-r-r-.-.-.  Meow!
>
> Freedom is just another word for "nothing left to lose"...  -- Janis Joplin
>

-- 
Scott.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/